## The Unicode Standard, Unicode Character Database, Version 16.0.0

### Unicode Character Database
```

UNICODE LICENSE V3

COPYRIGHT AND PERMISSION NOTICE

Copyright © 1991-2024 Unicode, Inc.

NOTICE TO USER: Carefully read the following legal agreement. BY
DOWNLOADING, INSTALLING, COPYING OR OTHERWISE USING DATA FILES, AND/OR
SOFTWARE, YOU UNEQUIVOCALLY ACCEPT, AND AGREE TO BE BOUND BY, ALL OF THE
TERMS AND CONDITIONS OF THIS AGREEMENT. IF YOU DO NOT AGREE, DO NOT
DOWNLOAD, INSTALL, COPY, DISTRIBUTE OR USE THE DATA FILES OR SOFTWARE.

Permission is hereby granted, free of charge, to any person obtaining a
copy of data files and any associated documentation (the "Data Files") or
software and any associated documentation (the "Software") to deal in the
Data Files or Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, and/or sell
copies of the Data Files or Software, and to permit persons to whom the
Data Files or Software are furnished to do so, provided that either (a)
this copyright and permission notice appear with all copies of the Data
Files or Software, or (b) this copyright and permission notice appear in
associated Documentation.

THE DATA FILES AND SOFTWARE ARE PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF
THIRD PARTY RIGHTS.

IN NO EVENT SHALL THE COPYRIGHT HOLDER OR HOLDERS INCLUDED IN THIS NOTICE
BE LIABLE FOR ANY CLAIM, OR ANY SPECIAL INDIRECT OR CONSEQUENTIAL DAMAGES,
OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,
ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THE DATA
FILES OR SOFTWARE.

Except as contained in this notice, the name of a copyright holder shall
not be used in advertising or otherwise to promote the sale, use or other
dealings in these Data Files or Software without prior written
authorization of the copyright holder.


------------------

Unicode® Consortium Copyright, Terms of Use, and Licenses

Welcome to the website of Unicode, Inc. (dba The Unicode Consortium)
(“Unicode”). Except as otherwise noted herein, these terms and conditions
(“Terms of Use”) govern your use of the Unicode website and Unicode Products.
Your use of this website and/or Unicode Products constitutes your agreement
to follow and be bound by these Terms of Use. Unicode provides you with
access to and use of this website and Unicode Products subject to your
compliance with these Terms of Use. If you do not agree to these Terms
of Use, you should not access or use this website or Unicode Products.
Unicode reserves the right to make changes to the website, to Unicode
Products, and to these Terms of Use at any time in its sole d iscretion.

    1. Unicode Copyright: Copyright © 1991-Present Unicode, Inc.

    2. Definitions

        a. “Unicode Products” includes the Unicode website and its content,
           Data Files, Software, the Unicode Standard, all other Unicode
           standards, specifications, technical reports, technical notes,
           annexes, code charts, data files, software, publications,
           webinars, videos, course materials, online and in-person events,
           and all other Unicode products and services made available via
           this website or any other channel of distribution, including but
           not limited to Github, Maven, YouTube, and other third-party
           sites where Unicode maintains and provides products, materials,
           and services.

        b. “Unicode Data Files” or "Data Files" include all computer data
           files under the following directories:

            i. https://www.unicode.org/Public/
           ii. https://www.unicode.org/reports/
          iii. https://www.unicode.org/ivd/data/
           iv. https://github.com/unicode-org/

           but exclude any materials present in the above directories that
           are not computer data files, such as PDF code charts and
           Technical Reports.

        c. “Unicode Software” or "Software" includes any source code or
           compiled code in any Unicode Product including but not limited to
           the code included in the following directories:

            i. https://www.unicode.org/Public/PROGRAMS/
           ii. https://www.unicode.org/Public/cldr/
          iii. https://github.com/unicode-org/

    3. Permissions, Licenses, and Restrictions on Use

        a. You are authorized to freely access and use this website and its
           content and all Unicode Products subject to these Terms of Use and
           subject to any restriction, permission, or license specifically
           associated with any specific material or content. No license is
           granted to copy or "mirror" this website. Linking to this website
           is permitted.

        b. Except where otherwise more broadly permitted or licensed:

            1. you may not make copies of or modifications to Unicode
               Products for public distribution, or incorporate Unicode
               Products in whole or in part into any product or publication,
               or otherwise publicly distribute them, without the express
               written permission of Unicode, and

            2. you may not copy or extract fonts or font data from any
               Unicode Products, including but not limited to Unicode Code
               Charts.

        c. All Unicode Data Files and Unicode Software are subject to the
           terms and conditions of the free and open-source Unicode License
           v3, unless otherwise indicated by specific restriction,
           permission, or license identified at the point of release or in
           such software, data file, or other documentation.

        d. You may freely download and make copies of the Unicode® Standard
           Core Specification, Unicode Technical Reports, Unicode Technical
           Notes, Unicode Code Charts, and other portions of this website
           and may annotate and translate such permitted downloads and
           copies, provided that such downloads, copies, annotations, and
           translations are solely for personal or internal business
           purposes and not for public distribution, and further provided
           that any permitted copies and modifications fully reproduce all
           copyright and other legal notices contained in the original.
           Notwithstanding the foregoing, specific versions of the Unicode®
           Standard Core Specification, Unicode Technical Reports, Unicode
           Technical Notes, and Unicode Code Charts, as well as other Unicode
           publications, materials, and portions of this website may be
           subject to broader permissions and/or further reservations of
           rights and restrictions on use found in the title pages, cover
           sheets, front matter, and/or footnotes for each such version,
           report, chart, or other publication or material. Consult each
           version, report, chart, or other publication or material for any
           such permissions and further reservations of rights and
           restrictions on use.

    4. Restricted Rights Legend. Any Unicode Data Files or Software that are
       licensed to the United States of America, its agencies and/or
       instrumentalities under these Terms of Use is commercial technical
       data or commercial computer software developed exclusively at private
       expense as defined in FAR 2.101, or DFARS 252.227-7014, as applicable.
       For Unicode Data Files, use, duplication, or disclosure by the
       Government is subject to restrictions as set forth in DFARS
       202.227-7015 Technical Data, Commercial and Items and these Terms of
       Use. For Unicode Software, in accordance with FAR 12-212 or DFARS
       227-7202, as applicable, use, duplication or disclosure by the
       Government is subject to the restrictions set forth in these Terms
       of Use.

    5. Disclaimer of Warranties & Limitation of Liability

        a. This website and the Unicode Products are provided “AS-IS” without
           charge as a convenience to visitors and users. While Unicode
           attempts to provide accurate, error-free, and timely information,
           there may be technical or factual inaccuracies and typographical
           or other errors in this website and in the Unicode Products.
           Unicode reserves the right to make corrections and changes to the
           website and the Unicode Products at any time without notice.

        b. YOU ASSUME ALL RESPONSIBILITY AND RISK WITH RESPECT TO YOUR USE
           OF THIS WEBSITE AND THE UNICODE PRODUCTS, WHICH ARE PROVIDED "AS
           IS" WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED, OR
           STATUTORY, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
           ACCURACY, COMPLETENESS, TITLE, MERCHANTABILITY, FITNESS FOR A
           PARTICULAR PURPOSE, OR NON-INFRINGEMENT OF THIRD PARTY RIGHTS.
           UNICODE AND ITS LICENSORS AND CONTRIBUTORS ASSUME NO
           RESPONSIBILITY FOR ERRORS OR OMISSIONS IN THIS WEBSITE AND/OR THE
           UNICODE PRODUCTS. IF YOU ARE DISSATISFIED WITH THIS WEBSITE OR THE
           UNICODE PRODUCTS, YOUR SOLE REMEDY IS TO DISCONTINUE USE OF THE
           WEBSITE AND THE UNICODE PRODUCTS.

        c. IN NO EVENT SHALL UNICODE, ITS MEMBERS, OR ITS LICENSORS OR
           CONTRIBUTORS BE LIABLE FOR ANY CLAIM OR DAMAGES WHATSOEVER OF ANY
           KIND, WHETHER DIRECT, INDIRECT, SPECIAL, INCIDENTAL,
           CONSEQUENTIAL, EXEMPLARY, OR PUNITIVE DAMAGES, WHETHER OR NOT
           UNICODE WAS ADVISED OF THE POSSIBILITY OF SUCH DAMAGE, INCLUDING
           BUT NOT LIMITED TO DAMAGE RESULTING FROM LOSS OF USE, DATA, OR
           PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE, OR OTHER
           TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE,
           INABILITY TO USE, PERFORMANCE, FUNCTIONALITY, MODIFICATION, OR
           DISTRIBUTION OF THIS WEBSITE, THE UNICODE PRODUCTS, OR ANY
           DERIVATIVES THEREOF.

        d. Unicode makes no warranties or representations of any kind
           regarding any non-Unicode sites to which you may be directed or
           hyperlinked from this website. Hyperlinks are included solely for
           your convenience and Unicode makes no warranties or
           representations with regard to the accuracy, availability,
           suitability, or safety of information, products, or services
           provided on such non-Unicode sites.

    6. Intellectual Property Contributions to Unicode. All contributions or
       submissions to Unicode are governed by The Unicode Consortium
       Intellectual Property, Licensing & Technical Contribution Policies.
       If you wish to make any contribution or submission to Unicode, refer
       to the foregoing Policies for further information on how to do so.
       In the absence of a signed contributor license or other agreement with
       Unicode that expressly governs a particular contribution or
       submission, the act of making a contribution or submission of any kind
       to Unicode by any communication channel constitutes a binding legal
       agreement by the contributor or submitter that they:

            a. represent and agree that the contributed matter is not
               proprietary or confidential to the contributor or any third
               party, and

            b. grant to Unicode and to recipients of products distributed by
               Unicode a perpetual, irrevocable, unrestricted, worldwide,
               nonexclusive, no-charge, royalty-free license, without
               obligation for accounting, to reproduce, prepare derivative
               works of, publicly display, publicly perform, distribute,
               make, use, sell, offer to sell, or import that matter for any
               purpose, with the unrestricted right to sublicense those
               rights.

    7. Compliance with Unicode Policies. These Terms of Use hereby
       incorporate by reference the following Unicode Policies. Your use of
       this website and/or Unicode Products and/or your participation in
       Unicode activities constitutes your agreement to these Policies
       which may be modified at any time in Unicode’s sole discretion:

        a. The Unicode Consortium Code of Conduct
        b. The Unicode Consortium Antitrust Policy & Guidelines
        c. The Unicode Consortium Intellectual Property, Licensing &
           Technical Contribution Policies
        d. The Unicode Consortium Name and Trademark Usage Policy
        e. The Unicode Consortium Policy on Handling of Confidential
           Business Data
        f. The Unicode Consortium General Privacy Policy
        g. The Unicode Technical Group Procedures

    8. Trademarks & Logos. The Unicode Word Mark and the Unicode Logo are
       trademarks of Unicode, Inc. “The Unicode Consortium'' and “Unicode,
       Inc.” are trade names of Unicode, Inc. You hereby acknowledge and
       agree to respect Unicode’s exclusive worldwide rights in the Unicode
       Word Mark, the Unicode Logo, and the Unicode trade names. The Unicode
       Consortium Name and Trademark Usage Policy is incorporated herein by
       reference and you agree to abide by its provisions, which may be
       changed from time to time in Unicode’s sole discretion.

    9. Jurisdiction and Venue. This website is operated from, and the
       Unicode Products are made available from, locations in the United
       States of America. Unicode makes no representation that this website
       or Unicode Products are appropriate for use in other locations. If
       you access this website or the Unicode Products from other locations,
       you are responsible for compliance with local laws. These Terms of
       Use, all use of this website and Unicode Products, and any claims and
       damages resulting from use of this website or Unicode Products, are
       governed by the applicable laws of the United States of America and
       the State of California without regard to any principles which would
       apply the laws of different jurisdictions. You agree that any disputes
       regarding this website and the Unicode Products shall be resolved
       solely in the appropriate state and federal courts located in the
       counties of San Francisco, San Mateo, or Santa Clara, California.
       You agree that these courts have personal jurisdiction over you and
       agree to waive any right to transfer the dispute to any other forum.

    10. Severability. If any provision of these Terms of Use is declared
        invalid or unenforceable, the remaining provisions of these Terms of
        Use shall remain in effect.

