## XHTML™ 1.0 in XML Schema

### W3C® Intellectual Rights Notice and Legal Disclaimers
<pre>
Copyright © 1994-2002 W3C ® (Massachusetts Institute of Technology,
Institut National de Recherche en Informatique et en Automatique, Keio University),
All Rights Reserved.

World Wide Web Consortium (W3C®) web site pages may contain other proprietary
notices and copyright information, the terms of which must be observed and
followed. Specific notices do exist for W3C documents and software. Also, there
are specific usage policies associated with some of the W3C Icons. Please see
our Intellectual Rights FAQ for common questions about using materials from our site.

Notice and Disclaimers

1. Unless otherwise noted, all materials contained in this Site are copyrighted
and may not be used except as provided in these terms and conditions or in the
copyright notice (documents and software) or other proprietary notice provided
with the relevant materials.

2. The materials contained in the Site may be downloaded or copied provided that
ALL copies retain the copyright and any other proprietary notices contained on
the materials. No material may be modified, edited or taken out of context such
that its use creates a false or misleading statement or impression as to the
positions, statements or actions of W3C.

3. The name and trademarks of copyright holders may NOT be used in advertising
or publicity pertaining to the Web site, its content, specifications, or
software without specific, written prior permission. Title to copyright in
Web site documents will at all times remain with copyright holders. Use of W3C
trademarks and service marks is covered by the W3C Trademark and Servicemark
License.

4. Caches of W3C materials should comply with the "maximum time to live"
information provided with the materials. After such materials have expired
they should not be served from caches without first validating the contents
of the W3C Site. Organizations that want to mirror W3C content must abide by
the W3C Mirroring Policy.

W3C®Trademarks and Generic Terms
Trademarks owned by W3C host institutions on behalf of W3C and generic terms
used by the W3C

5. The trademarks, logos, and service marks (collectively the "Trademarks")
displayed on the Site are registered and unregistered Trademarks of the
Massachusetts Institute of Technology (MIT), Institut National de Recherche
en Informatique et en Automatique (INRIA), or Keio University (Keio). All use
of the W3C Trademarks is governed by the W3C Trademark and Servicemark License.
No additional rights are granted by implication, estoppel, or otherwise. Terms
which claimed as generic are not governed by any W3C license and are used as
common descriptors by the W3C.

The following is a list of W3C terms claimed as a trademark or generic term
by MIT, INRIA, and/or Keio on behalf of the W3C:

    W3C®, World Wide Web Consortium  (registered in numerous countries)
    Amaya™, a Web Browser
    CSS™, Cascading Style Sheets Specification
    DOM™, Document Object Model
    HTML (generic), HyperText Markup Language
    HTTP (generic), Hypertext Transfer Protocol
    MathML™, Mathematical Markup Language
    Metadata (generic)
    P3P™, Platform for Privacy Preferences Project
    PICS™, Platform for Internet Content Selection
    RDF (generic), Resource Description Framework
    SMIL™, Synchronized Multimedia Integration Language
    SVG™, Scalable Vector Graphics
    WAI™, Web Accessibility Initiative
    XENC (generic), XML Encryption
    XHTML™, The Extensible HyperText Markup Language
    XML (generic), Extensible Markup Language
    XSL™,  Extensible Stylesheet Language

    ACSS™, Aural Cascading Style Sheets
    DSig™, Digital Signature Initiative
    JEPI™, Joint Electronic Payment Initiative
    Jigsaw™
    PICSRules™
    WebFonts™

The absence of a product or service name or logo from this list does not
constitute a waiver of MIT's, INRIA's, or Keio's trademark or other intellectual
rights concerning that name or logo.

Any questions concerning the use, status, or standing of W3C trademarks should
be directed to: site-policy@w3.org or to W3C (c/o Joseph Reagle), Laboratory
for Computer Science NE43-358, Massachusetts Institute of Technology, 200
Technology Square, Cambridge, MA 02139.

Non-W3C Trademarks; Member Trademarks

The trademarks, logos, and service marks not owned on behalf of the W3C and
that are displayed on the Site are the registered and unregistered marks of
their respective owners. No rights are granted by the W3C to use such marks,
whether by implication, estoppel, or otherwise.

"METADATA" is a trademark of the Metadata Company. W3C uses the term "metadata"
in a descriptive sense, meaning "data about data". W3C is not in any way
affiliated with the Metadata Company.
Legal Disclaimers

6. W3C has not reviewed any or all of the web sites linked to this Site and is
not responsible for the content of any off-site pages or any other web sites
linked to this Site. Please understand that any non-W3C web site is independent
from W3C, and W3C has no control over the content on that web site.
In addition, a link to a non-W3C web site does not mean that W3C endorses or
accepts any responsibility for the content, or the use, of such site. It is
the user's responsibility to take precautions to ensure that whatever is
selected is free of such items as viruses, worms, Trojan horses and other
items of a destructive nature.

7. Information W3C publishes on its Site may contain references or cross
references to W3C specifications, projects, programs and services that are
not announced or available in your country. Such references do not imply that
W3C intends to announce such specifications, projects, programs or services
in your country.

8. Information on this Site may contain technical inaccuracies or typographical
errors. Information may be changed or updated without notice. W3C may make
improvements and/or changes in the materials contained in or described on this
site at any time without notice. W3C may also make changes in these Terms and
Conditions without notice. User is bound by such revisions and should therefore
periodically visit this page to review the then current Terms and Conditions.

9. Limitation on Warranties.

ALL MATERIALS ON THE W3C SITE ARE PROVIDED "AS IS." W3C, MIT, INRIA, AND KEIO
MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING, BUT NOT
LIMITED TO, WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE,
TITLE OR NON-INFRINGEMENT. AS TO DOCUMENTS AND GRAPHICS PUBLISHED ON THIS SITE,
W3C, MIT, INRIA, AND KEIO MAKE NO REPRESENTATION OR WARRANTY THAT THE CONTENTS
OF SUCH DOCUMENT OR GRAPHICS ARE FREE FROM ERROR OR SUITABLE FOR ANY PURPOSE;
NOR THAT IMPLEMENTATION OF SUCH CONTENTS WILL NOT INFRINGE ANY THIRD PARTY
PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.

Please note that some jurisdictions may not allow the exclusion of implied
 warranties, so some of the above exclusions may not apply to you.

10. Limitation on Liability.

IN NO EVENT WILL W3C, MIT, INRIA, AND KEIO BE LIABLE TO ANY PARTY FOR ANY
DIRECT, INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES FOR ANY USE OF THIS SITE,
OR ON ANY OTHER HYPERLINKED WEB SITE, INCLUDING, WITHOUT LIMITATION, ANY LOST
PROFITS, BUSINESS INTERRUPTION, LOSS OF PROGRAMS OR OTHER DATA ON YOUR
INFORMATION HANDLING SYSTEM OR OTHERWISE, EVEN IF W3C, MIT, INRIA, OR KEIO
IS EXPRESSLY ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

</pre>
